Notice: This website is an unofficial Microsoft Knowledge Base (hereinafter KB) archive and is intended to provide a reliable access to deleted content from Microsoft KB. All KB articles are owned by Microsoft Corporation. Read full disclaimer for more details.

Security Only update for the .NET Framework 3.5.1, 4.5.2, 4.6, 4.6.1, and 4.6.2 updates for Windows 7 Service Pack 1 and Windows Server 2008 R2 Service Pack 1: May 9, 2017


View products that this article applies to.

Notice

May 30, 2017

If you install the .NET Framework Security and Quality rollups for May 2017, and then you use a compliance scanner, such as the Microsoft Baseline Security Analyzer (MBSA), to determine the security state of the system, the .NET Framework Security Only updates for May 2017 may be flagged as missing.

To resolve this issue, we updated the applicability of the .NET Framework Security Only updates so that compliance checkers do not flag these updates as missing from the system.

If you have already installed the May 2017 Security and Quality rollups or Security Only updates for the .NET Framework, no additional action is necessary.

↑ Back to the top


Summary

This security update for the Microsoft .NET Framework resolves a security feature bypass vulnerability in which the .NET Framework (and the .NET Core) components don't completely validate certificates. To learn more about this vulnerability, see Microsoft Common Vulnerabilities and Exposures CVE-2017-0248.

This update also contains security-enhancing fixes to the Windows Presentation Framework PackageDigitalSignatureManager component's ability to sign packages with the SHA256 hash algorithm.

↑ Back to the top


Important

  • If you install a language pack after you install this update, you must reinstall this update. Therefore, we recommend that you install any language packs that you need before you install this update. For more information, see Add language packs to Windows.

↑ Back to the top


Additional information about this security update

The following articles contain additional information about this security update as it relates to individual product versions.
 
  • 4014588 Description of the Security Only update for the .NET Framework 4.6.2 for Windows 7 and Windows Server 2008 R2: May 9, 2017
  • 4014591 Description of the Security Only update for the .NET Framework 4.6 and 4.6.1 for Windows 7 SP1 and Windows Server 2008 R2 SP1 and .NET Framework 4.6 for Windows Server 2008 SP2: May 9, 2017
  • 4014599 Description of the Security Only update for the .NET Framework 4.5.2 for Windows 7 SP1, Windows Server 2008 R2 SP1, and Windows Server 2008 SP2: May 9, 2017
  • 4014579 Description of the Security Only update for the .NET Framework 3.5.1 for Windows 7 Service Pack 1 and Windows Server 2008 R2 Service Pack 1: May 9, 2017

↑ Back to the top


How to obtain help and support for this security update

↑ Back to the top


Applies to

This article applies to the following:
  • Microsoft .NET Framework 3.5.1, 4.5.2, 4.6, 4.6.1, and 4.6.2 when used with:
    • Windows Server 2008 R2 Service Pack 1
    • Windows 7 Service Pack 1
 

↑ Back to the top


Keywords: kbsurveynew, kbsecvulnerability, kbsecurity, kbsecreview, kbsecbulletin, atdownload, kblangall, kbfix, kbexpertiseinter, kbbug, kb, kbmustloc

↑ Back to the top

Article Info
Article ID : 4019108
Revision : 22
Created on : 5/26/2017
Published on : 5/30/2017
Exists online : False
Views : 16